Bug 518401 - frozen screen, mouse, keyboard at firstboot after fresh rawhide (Alpha RC2) install
Summary: frozen screen, mouse, keyboard at firstboot after fresh rawhide (Alpha RC2) i...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 12
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-20 09:31 UTC by J. Randall Owens
Modified: 2018-04-11 08:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-10 19:53:51 UTC


Attachments (Terms of Use)

Description J. Randall Owens 2009-08-20 09:31:36 UTC
Description of problem:
After installing from netinstall image at http://alt.fedoraproject.org/pub/alt/stage/12-Alpha-RC2/Fedora/x86_64/iso/Fedora-12-Alpha-x86_64-netinst.iso, and getting past the no-initrd-in-grub.conf bug I've already reported, I got to a completely unresponsive firstboot screen.  Mouse and keyboard do nothing; caps lock light doesn't respond.  Looks a lot like the Intel bug #509519, except that was only after certain actions (for me at least), while this is right from the start.  Also, after a time, the screen does blank; I never let it go long enough to find out if it did that under #509519.

System is accessible by SSH, also like #509519.  I suppose there ought to be a text-only version of firstboot, but haven't found/tried it yet.

Version-Release number of selected component (if applicable):
Unknown at the moment; I'll report when I start it up again tomorrow.  Whatever's on that disk I linked above.  But could very well be kernel, anaconda, or xorg-x11-drv-intel rather than firstboot anyway.

How reproducible:
seems very

Steps to Reproduce:
1. install Alpha RC2
2. reboot
3. wait for firstboot to start up
  
Actual results:
Frozen unresponsive firstboot screen.

Expected results:
Firstboot that lets me set up the system.

Additional info:
Video is Intel i915, in an Acer 4730 laptop.

Comment 1 J. Randall Owens 2009-08-20 20:51:34 UTC
I realized, of course, that the anaconda version depends on what was available when the disk image was created; I don't know any way to find it from having the disk, offhand.  Based on the image date and the build dates in Koji, it was probably anaconda-12.15-1.fc12.

Other than that:
kernel-2.6.31-0.162.rc6.git2.fc12.x86_64
firstboot-1.108-1.fc12.x86_64
xorg-x11-drv-intel-2.8.0-6.fc12.x86_64

Comment 2 Matěj Cepl 2009-11-05 17:14:15 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 3 Bug Zapper 2009-11-16 11:33:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Chris Campbell 2009-12-05 15:31:25 UTC
Original reporter, have you since installed Fedora 12 release, successfully?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Chris Campbell 2009-12-10 19:53:51 UTC
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 J. Randall Owens 2009-12-10 23:21:54 UTC
Sorry, mentally added this to my to-do list after I got #4, and then it slipped my mind.  Yes, F12 is working quite nicely on the same laptop now, as far as this is concerned.  Not sure which closed status is most appropriate for this then? but I'll try CURRENTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.